﻿@model Tuple<PurchaseInvoiceView, List<string>>
@{
    ViewBag.Title = "_PurchaseInvoice";
    Layout = "~/Areas/Purchase/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/Content/DataPicker")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

@using (Html.BeginForm("ConfirmAction", "PurchaseInvoice", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formPurchaseInvoice" }))
{
    <!--///////// BLOKE 1/////////-->
    <div class="row">
        <div class="col-md-6 col-sm-6 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@PurchaseOrders.Vendor</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-5">
                            @Html.TextBoxFor(c => c.Item1.CardCode, new { @Id = "txtCodeVendor", @Name = "txtCodeVendor", @placeholder = @PurchaseOrders.VC, @class = "form-control form_separator" })
                        </div>
                        <div class="col-md-4">
                            @Html.TextBoxFor(c => c.Item1.CardName, new { @Id = "txtNameVendor", @placeholder = @PurchaseOrders.VN, @class = "form-control form_separator" })
                        </div>
                    </div>
                   
                    <div class="row">
                        <label class="col-md-2 control-label">@PurchaseOrders.DocNro</label>
                        <div class="col-md-3">
                            @Html.TextBoxFor(c => c.Item1.DocNum,
                                new { @Id = "txtDocNum",
                                    @placeholder = @PurchaseOrders.DocNro,
                                    @class = "form-control" })
                        </div>
                        <label class="col-md-2 control-label">@PurchaseOrders.CP</label>
                        <div class="col-md-5">
                            <select id="ListContact" class="form-control">
                                <option value="">@PurchaseOrders.CP</option>
                            </select>
                        </div>
                    </div>
                   
                    <div class="row">
                        <label class="col-md-2 control-label">@PurchaseOrders.VRN</label>
                        <div class="col-md-3">
                            @Html.TextBoxFor(c => c.Item1.NumAtCard, new { @id = "NumAtCard", @placeholder = @PurchaseOrders.VRN, @class = "form-control" })
                        </div>
                    </div>
                   
                </div>
            </div>
        </div>


        <div class="col-md-3 col-sm-3 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@PurchaseOrders.Date</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.PD</label>
                        <div class="input-group date col-md-9">
                            @Html.TextBoxFor(c => c.Item1.DocDate, new { @id = "DocDate", @placeholder = @PurchaseOrders.PD, @class = "form-control", @Value = ((Model.Item1.DocDate != null && Model.Item1.DocDate != DateTime.MinValue) ? Model.Item1.DocDate.ToString().AsDateTime().ToShortDateString() : "") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.DD</label>
                        <div class="input-group date col-md-9">
                            @Html.TextBoxFor(c => c.Item1.DocDueDate, new { @id = "DocDueDate", @placeholder = @PurchaseOrders.DD, @class = "form-control", @Value = ((Model.Item1.DocDueDate != null && Model.Item1.DocDueDate != DateTime.MinValue) ? Model.Item1.DocDueDate.ToString().AsDateTime().ToShortDateString() : "") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.DocDate</label>
                        <div class="input-group date col-md-9">
                            @Html.TextBoxFor(c => c.Item1.TaxDate, new { @id = "TaxDate", @placeholder = @PurchaseOrders.DocDate, @class = "form-control", @Value = ((Model.Item1.TaxDate != null && Model.Item1.TaxDate != DateTime.MinValue) ? Model.Item1.TaxDate.ToString().AsDateTime().ToShortDateString() : "") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                   
                </div>
            </div>
        </div>


        <div class="col-md-3 col-sm-3 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.Payment</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.PT</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(model => model.Item1.GroupNum, new SelectList(
                                Model.Item1.ListDocumentSAPCombo.ListPaymentTerm,
                                "GroupNum",
                                "PymntGroup",
                                Model.Item1.GroupNum), new { @Id = "PaymentTerm", @class = "form-control" })
                        </div>
                    </div>
                    
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.PM</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(model => model.Item1.PeyMethod, new SelectList(
                                Model.Item1.ListDocumentSAPCombo.ListPaymentMethod,
                                "PayMethCod",
                                "Descript",
                                Model.Item1.PeyMethod), new { @Id = "PeyMethod", @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>

        @if (Model.Item1.MappedUdf.Count > 0)
        {
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="panel panel-default" id="accordionUDF">
                    <div class="panel-heading">
                        <h4 class="panel-title">
                            <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordionUDF" href="#collapseUDF">
                                UDF
                                <i class="indicator glyphicon  pull-right glyphicon-chevron-up"></i>
                            </a>
                        </h4>
                    </div>
                    <div id="collapseUDF" class="panel-collapse collapse" style="height: auto;">
                        <div class="panel-body">
                            @{
                                foreach (var DictRow in Model.Item1.MappedUdf)
                                {
                                    if (DictRow.ListUFD1.Count > 0)
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                     DictRow.ListUFD1,
                                                        "FldValue",
                                                        "Descr", DictRow.Value), new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @class = "form-control" })
                                            </div>
                                        </div>  
                                    }
                                    else 
                                    {
                                        <div class="row">
                                            <label class="col-md-2 control-label">@DictRow.UDFDesc</label>
                                            <div class="col-md-10">
                                                @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFDesc, @class = "form-control" })
                                            </div>
                                        </div>    
                                    }
                                }
                            }
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>

    <!--///////// BLOKE 2 /////////-->

    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">@PurchaseOrders.Information</h3>
        </div>
        <!--Document Line-->
        <div class="panel-body">
            <!--campos filtro-->
            <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                @Html.Partial("_ItemsForm", Tuple.Create(Model.Item1.Lines, Model.Item1.DocCur))
            </div>
            <div class="alert alert-danger" id="alertItems" role="alert">
                <strong>Oh!</strong> No Items in the list.
            </div>


            <!--datos de tabla-->
            <div class="panel-body well">
                <div class="col-md-6 col-sm-6 pull-right ">
                    <div class="panel-body">

                        <div class="form-group">
                            <label class="col-md-6 control-label">
                                @PurchaseOrders.TBD
                            </label>
                            <div class="col-md-6">
                                <input type="text" value="0" id="TotalDoc" name="regular" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseOrders.Discount</label>
                            <div class="col-md-2">
                                <input type="text" value="@Model.Item1.DiscPrcnt.Value.ToString("F2", CultureInfo.InvariantCulture)" id="DiscPrcnt" name="DiscPrcnt" placeholder="%" class="form-control form_separator">
                            </div>
                            <div class="col-md-4">
                                <input type="text" value="@Model.Item1.DiscSum.Value.ToString("F2", CultureInfo.InvariantCulture)" id="DiscSum" name="DiscSum" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseInvoices.TDP</label>
                            <div class="col-md-6">
                                <input type="text" value="@Model.Item1.DpmAmnt.Value.ToString("F2", CultureInfo.InvariantCulture)" id="DpmAmnt" name="DpmAmnt" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseInvoices.Freight</label>
                            <div class="col-md-6">
                                <input type="text" value="@(Model.Item1.TotalExpns != null ? Model.Item1.TotalExpns.Value.ToString("F2", CultureInfo.InvariantCulture) : "0.00")" id="TotalExpns" name="TotalExpns" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseInvoices.Rounding</label>
                            <div class="col-md-6">
                                <input type="text" value="@Model.Item1.RoundDif.Value.ToString("F2", CultureInfo.InvariantCulture)" id="RoundDif" name="RoundDif" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseOrders.Tax</label>
                            <div class="col-md-6">
                                <input type="text" value="@Model.Item1.VatSum.Value.ToString("F2", CultureInfo.InvariantCulture)" id="VatSum" name="VatSum" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseOrders.TPD</label>
                            <div class="col-md-6">
                                <input type="text" value="@Model.Item1.DocTotal.Value.ToString("F2", CultureInfo.InvariantCulture)" id="DocTotal" name="DocTotal" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseInvoices.AA</label>
                            <div class="col-md-6">
                                <input type="text" value="@Model.Item1.PaidToDate.Value.ToString("F2", CultureInfo.InvariantCulture)" id="PaidToDate" name="PaidToDate" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseInvoices.BD</label>
                            <div class="col-md-6">
                                <input id="BlncDue" name="BlncDue" class="form-control" value="@((Model.Item1.DocTotal - Model.Item1.PaidToDate).Value.ToString("F2", CultureInfo.InvariantCulture))" type="text" placeholder="placeholder">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!--///////// BLOKE 3 /////////-->


    <div class="row">
        <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.General</h3>
                </div>
                <div class="panel-body">
                    <div class="panel-body">
                        @Html.DropDownListFor(model => model.Item1.SlpCode, new SelectList(
                            Model.Item1.ListDocumentSAPCombo.ListBuyer,
                            "SlpCode",
                            "SlpName", Model.Item1.SlpCode), new { @Id = "Buyer", @class = "form-control" })
                       
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Confirmed</label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(c => c.Item1.DescConfirmed, new { @Id = "Confirmed", @Name = "Confirmed", @placeholder = @PurchaseOrders.Confirmed, @class = "form-control", @disabled = "disabled" })
                            </div>
                        </div>
                        <br />
                        <div class="row">
                            @Html.HiddenFor(c => c.Item1.OwnerCode, new { @Id = "OwnerCode", @Name = "OwnerCode" })
                            <label class="col-md-3 control-label">@PurchaseOrders.Owner</label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(c => c.Item1.OwnerName, new { @Id = "OwnerName", @placeholder = @PurchaseOrders.OC, @class = "form-control", @disabled = "disabled" })
                            </div>
                        </div>
                       
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Remarks</label>
                            <div class="col-md-9">
                                @Html.TextAreaFor(c => c.Item1.Comments, new { @Id = "Comments", @placeholder = @PurchaseOrders.Remarks, @class = "form-control remarksDocuments" })
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.Payment</h3>
                </div>
                <div class="panel-body" id="bodyShipping">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.SPOBox</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.StreetS, new { @id = "StreetS", @placeholder = @PurchaseQuotation.SPOBox, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.SNO</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.StreetNoS, new { @id = "StreetNoS", @placeholder = @PurchaseQuotation.SNO, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.Block</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.BlockS, new { @id = "BlockS", @placeholder = @PurchaseQuotation.Block, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.City</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.CityS, new { @id = "CityS", @placeholder = @PurchaseQuotation.City, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.ZC</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.ZipCodeS, new { @id = "ZipCodeS", @placeholder = @PurchaseQuotation.ZC, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.County</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.CountyS, new { @id = "CountyS", @placeholder = @PurchaseQuotation.County, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.State</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.StateS, new { @id = "StateS", @placeholder = @PurchaseQuotation.State, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.Country</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.CountryS, new { @id = "CountryS", @placeholder = @PurchaseQuotation.Country, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.BFR</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.BuildingS, new { @id = "BuildingS", @placeholder = @PurchaseQuotation.BFR, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.GLN</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.GlbLocNumS, new { @id = "GlbLocNumS", @placeholder = @PurchaseQuotation.GLN, @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseQuotation.Billing</h3>
                </div>
                <div class="panel-body" id="BodyBilling">
                    <div class="row">
                        <label class="col-md-3 control-label"></label>
                        <div class="col-md-9">
                            <select name="BpAddressSelect" class="form-control" id="BpAddressSelect"></select>
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.SPOBox</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.StreetB, new { @id = "StreetB", @placeholder = @PurchaseQuotation.SPOBox, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.SNO</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.StreetNoB, new { @id = "StreetNoB", @placeholder = @PurchaseQuotation.SNO, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.Block</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.BlockB, new { @id = "BlockB", @placeholder = @PurchaseQuotation.Block, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.City</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.CityB, new { @id = "CityB", @placeholder = @PurchaseQuotation.City, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.ZC</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.ZipCodeB, new { @id = "ZipCodeB", @placeholder = @PurchaseQuotation.ZC, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.County</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.CountyB, new { @id = "CountyB", @placeholder = @PurchaseQuotation.County, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.State</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.StateB, new { @id = "StateB", @placeholder = @PurchaseQuotation.State, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.Country</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.CountryB, new { @id = "CountryB", @placeholder = @PurchaseQuotation.Country, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.BFR</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.BuildingB, new { @id = "BuildingB", @placeholder = @PurchaseQuotation.BFR, @class = "form-control" })
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseQuotation.GLN</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.PIAddress.GlbLocNumB, new { @id = "GlbLocNumB", @placeholder = @PurchaseQuotation.GLN, @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-3 col-md-6 col-sm-6 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.Shipping</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.ShipType</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(model => model.Item1.TrnspCode, new SelectList(
                                     Model.Item1.ListDocumentSAPCombo.ListShippingType,
                                     "TrnspCode",
                                     "TrnspName", Model.Item1.TrnspCode), new { @Id = "ShipType", @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="but_blok_footer">
        <div class="col-md-12">
            @*<button id="btnOk" class="btn btn-lg btn-success">Ok</button>*@
            <a id="btnOk" class="btn btn-lg btn-success pull-right">Ok</a>
            @{
                string controllerName = ViewBag.controllerName;
                @Html.ActionLink(@PurchaseOrders.Cancel, "Index", controllerName, null, new { @class = "btn btn-lg btn-default pull-right" })
            }
            @if (Model.Item2.Count > 0)
            {
                @*@Html.Partial("../Shared/_CRButton", Model.Item2.ToString());*@
                @Html.Partial("_CRButton", Tuple.Create((object)Model.Item1, Model.Item2));
            }
        </div>
    </div>
    <!--///////// close BLOKE/////////-->

    @Html.HiddenFor(c => c.Item1.DocEntry)

}
@Scripts.Render("~/bundles/PurchaseInvoice")
